module MigrationAndModel
  class InstallGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('templates', __dir__)
    include Rails::Generators::Migration

    desc "Create your own migrations"

    def self.next_migration_number(path)
      next_migration_number = current_migration_number(path) + 1
      ActiveRecord::Migration.next_migration_number(next_migration_number)
    end

    def copy_migrations
      migration_template "my_migration.rb", "db/migrate/create_#{file_name.pluralize}.rb"
    end

    def create_model
      create_file "app/models/#{file_name}.rb", <<-FILE
class #{class_name.singularize} < ApplicationRecord
end
      FILE
    end
  end

end